#!/bin/bash


function delete_files() {
    local FILE_LIST=$@
    echo "About to remove the following files:"
    for FILE in $FILE_LIST;
    do
        echo "   $FILE"
    done
    read -p "Are you sure? " -n 1
    if [[ $REPLY =~ ^[Yy]$ ]]
    then
        echo ""
        for FILE in $FILE_LIST;
        do
            rm $FILE
        done
    fi
    echo ""
}

# Clean up intermediate files generated by multi_ssake.py 

DIR=`pwd`
echo "Removing intermediate files from $DIR"

echo "Removing $DIR/*.fasta"
FILE_LIST=`find $DIR -name "*.fasta"`
delete_files $FILE_LIST

echo "Removing $DIR/*paired.fa"
FILE_LIST=`find $DIR -name "*paired.fa"`
delete_files $FILE_LIST

